<?php

namespace App\Entity;

use ApiPlatform\Core\Annotation\ApiResource;
use App\Repository\TTransactionsSalesReceiptNoRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ApiResource()
 * @ORM\Entity(repositoryClass=TTransactionsSalesReceiptNoRepository::class)
 */
class TTransactionsSalesReceiptNo
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=60, nullable=true)
     */
    private $receiptSystemNo;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getReceiptSystemNo(): ?string
    {
        return $this->receiptSystemNo;
    }

    public function setReceiptSystemNo(?string $receiptSystemNo): self
    {
        $this->receiptSystemNo = $receiptSystemNo;

        return $this;
    }
}
